Welcome to the Tiny Core Linux Wiki at tinycorelinux.net!


Strict Standards: Declaration of Doku_Renderer_metadata::table_open() should be compatible with Doku_Renderer::table_open($maxcols = NULL, $numrows = NULL, $pos = NULL) in /home/tinycore/wiki.tinycorelinux.net/inc/parser/metadata.php on line 24

Strict Standards: Declaration of Doku_Renderer_metadata::table_close() should be compatible with Doku_Renderer::table_close($pos = NULL) in /home/tinycore/wiki.tinycorelinux.net/inc/parser/metadata.php on line 24

Checking for Extensions

When you look for an application, which is not listed in current list of extensions found in App Bowser or under “Browse TCZs” on the Core Download page, it is worthwhile to browse the extension list for the previous release. Currently we are in the 5.x generation, i.e. the available extensions can be found under release 5.x extensions and the previous release repository would be release 4.x extensions. If you are lucky, there was an extension for the previous version and you can verify that it works also in the current. In this case, look for the dependency file for the extension.

Find Dependencies

Now go through the list of necessary extensions, check which are already available in the current release and install them, and then list those, which are only available for the older one. You can check for installed extensions by using Control Panel → System Stats → Installed. This generates a list of currently installed extensions.

Install Previous Extensions

Now goto your extension directory e.g. cd /mnt/sdb1/tce/optional and go through your list from the previous step and fetch these required *.tcz files from the old repository e.g. with wget, for example:

 wget -c http://repo.tinycorelinux/4.x/x86/tcz/gcc.tcz
 wget -c http://repo.tinycorelinux/4.x/x86/tcz/gcc.tcz.dep
 wget -c http://repo.tinycorelinux/4.x/x86/tcz/gcc.tcz.md5.txt

Install them as local extensions and test as much as you can that everything works ok.

Test and Post Results

When you are satisfied and you think that the extension works as planned, submit a note to the forum in the corresponding topic, for Release 5, this is: ”Extensions from 4.x repo verified ok with tc-5”.

Print/export